<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
XmlConfig
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.xml.config.XmlConfig class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="XmlConfig";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlConfig.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlArgException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.ResolveKey.html" title="enum in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlConfig.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlConfig.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.xml.config</FONT>
<BR>
Class XmlConfig</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.xml.config.XmlConfig</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.67"><B>XmlConfig</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <tt>XmlConfig</tt> class is a generic xml configuration reader, 
 supporting features like referred configuration blocks, accessing system
 property values and program invocation parameters (args of the main method).
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.ResolveKey.html" title="enum in ch.javasoft.xml.config">XmlConfig.ResolveKey</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Key elements be used in {...} brackets, will be resolved by the 
 corresponding content.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.XmlAttribute.html" title="enum in ch.javasoft.xml.config">XmlConfig.XmlAttribute</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Predefined and recognized xml attributes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.XmlElement.html" title="enum in ch.javasoft.xml.config">XmlConfig.XmlElement</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Predefined and recognized xml elements</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#mArgs">mArgs</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#mDocument">mDocument</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Date.html" title="class or interface in java.util">Date</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#mTimestamp">mTimestamp</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#NO_APP_NAME">NO_APP_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#XmlConfig(java.lang.String, org.dom4j.Document)">XmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                   org.dom4j.Document&nbsp;xmlDoc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#XmlConfig(java.lang.String, org.dom4j.Document, java.lang.String[])">XmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                   org.dom4j.Document&nbsp;xmlDoc,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#fromXmlDocument(org.dom4j.Document)">fromXmlDocument</A></B>(org.dom4j.Document&nbsp;doc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the given document and returns an XmlConfig instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#fromXmlDocument(java.io.File)">fromXmlDocument</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the given document and returns an XmlConfig instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#fromXmlDocument(java.io.Reader)">fromXmlDocument</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;reader)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the given document and returns an XmlConfig instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getAppName()">getAppName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getArg(int)">getArg</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getArgCount()">getArgCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getArgs()">getArgs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a copy of the command line argument array</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)">getConfigDocument</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigElement(java.lang.String)">getConfigElement</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigDocument()">getDefaultConfigDocument</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigElement()">getDefaultConfigElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigName()">getDefaultConfigName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getLoggingProperties()">getLoggingProperties</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getLoggingProperties(java.lang.String)">getLoggingProperties</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getReferredElementContent(java.lang.String, java.lang.String)">getReferredElementContent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getResolvedAttributeValue(org.dom4j.Attribute, java.lang.String, java.lang.String)">getResolvedAttributeValue</A></B>(org.dom4j.Attribute&nbsp;att,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
                                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;resolveKey)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;org.dom4j.Element</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getRootElement()">getRootElement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(org.dom4j.Document)">getXmlConfig</A></B>(org.dom4j.Document&nbsp;xmlDocument)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.io.File)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.io.File, java.lang.String[])">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.io.InputStream)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.io.InputStream, java.lang.String[])">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.io.Reader)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, org.dom4j.Document)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         org.dom4j.Document&nbsp;xmlDocument)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, java.io.File)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, java.io.File, java.lang.String[])">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, java.io.InputStream)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, java.io.InputStream, java.lang.String[])">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getXmlConfig(java.lang.String, java.io.Reader)">getXmlConfig</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;xmlFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#initLogManagerConfiguration()">initLogManagerConfiguration</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the log manager configuration with logging configuration from
 the the <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigDocument()"><CODE>default config</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#initLogManagerConfiguration(java.lang.String)">initLogManagerConfiguration</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the log manager configuration with logging configuration from
 the the specified <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)"><CODE>config</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#printUsage(java.io.PrintStream, java.lang.String)">printUsage</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;usageName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#resolve(org.dom4j.Element, java.lang.String)">resolve</A></B>(org.dom4j.Element&nbsp;element,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#resolve(java.util.Iterator, java.lang.String)">resolve</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt;&nbsp;elementIterator,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#resolveAttributeValue(org.dom4j.Attribute, java.lang.String)">resolveAttributeValue</A></B>(org.dom4j.Attribute&nbsp;att,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#setAppName(java.lang.String)">setAppName</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#setDefaultConfigName(java.lang.String)">setDefaultConfigName</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.dom4j.Document</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#toXmlDocument()">toXmlDocument</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a copy of the underlying xml document, including main arguments 
 if any have been specified.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#writeTo(java.io.OutputStream)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes this xml config to the given output stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#writeTo(java.io.Writer)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes this xml config to the given writer</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NO_APP_NAME"><!-- --></A><H3>
NO_APP_NAME</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.69"><B>NO_APP_NAME</B></A></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#ch.javasoft.xml.config.XmlConfig.NO_APP_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="mDocument"><!-- --></A><H3>
mDocument</H3>
<PRE>
protected final org.dom4j.Document <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.291"><B>mDocument</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="mArgs"><!-- --></A><H3>
mArgs</H3>
<PRE>
protected final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[] <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.292"><B>mArgs</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="mTimestamp"><!-- --></A><H3>
mTimestamp</H3>
<PRE>
protected final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Date.html" title="class or interface in java.util">Date</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.293"><B>mTimestamp</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="XmlConfig(java.lang.String, org.dom4j.Document)"><!-- --></A><H3>
XmlConfig</H3>
<PRE>
protected <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.297"><B>XmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                    org.dom4j.Document&nbsp;xmlDoc)</PRE>
<DL>
</DL>
<HR>

<A NAME="XmlConfig(java.lang.String, org.dom4j.Document, java.lang.String[])"><!-- --></A><H3>
XmlConfig</H3>
<PRE>
protected <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.300"><B>XmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                    org.dom4j.Document&nbsp;xmlDoc,
                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getXmlConfig(java.io.File)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.306"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.io.Reader)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.309"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.io.InputStream)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.312"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(org.dom4j.Document)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.315"><B>getXmlConfig</B></A>(org.dom4j.Document&nbsp;xmlDocument)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, java.io.File)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.318"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, java.io.Reader)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.321"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, java.io.InputStream)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.324"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, org.dom4j.Document)"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.327"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     org.dom4j.Document&nbsp;xmlDocument)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.io.File, java.lang.String[])"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.330"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.io.InputStream, java.lang.String[])"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.333"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, java.io.File, java.lang.String[])"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.336"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;xmlFile,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getXmlConfig(java.lang.String, java.io.InputStream, java.lang.String[])"><!-- --></A><H3>
getXmlConfig</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.339"><B>getXmlConfig</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;xmlFile,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;args)
                              throws org.dom4j.DocumentException</PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.io.OutputStream)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.381"><B>writeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</PRE>
<DL>
<DD>Writes this xml config to the given output stream
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.io.Writer)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.388"><B>writeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD>Writes this xml config to the given writer
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toXmlDocument()"><!-- --></A><H3>
toXmlDocument</H3>
<PRE>
public org.dom4j.Document <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.397"><B>toXmlDocument</B></A>()</PRE>
<DL>
<DD>Returns a copy of the underlying xml document, including main arguments 
 if any have been specified. From the returned document,
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fromXmlDocument(java.io.File)"><!-- --></A><H3>
fromXmlDocument</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.417"><B>fromXmlDocument</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file)
                                 throws org.dom4j.DocumentException</PRE>
<DL>
<DD>Parses the given document and returns an XmlConfig instance. Note that
 this document is expected to contain an application element (direct child
 of root element) with a name attribute and possible with arg child nodes.
 Such a document is usually received by calling <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#toXmlDocument()"><CODE>toXmlDocument()</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE> - if a dom4j xml exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="fromXmlDocument(java.io.Reader)"><!-- --></A><H3>
fromXmlDocument</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.427"><B>fromXmlDocument</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Reader.html" title="class or interface in java.io">Reader</A>&nbsp;reader)
                                 throws org.dom4j.DocumentException</PRE>
<DL>
<DD>Parses the given document and returns an XmlConfig instance. Note that
 this document is expected to contain an application element (direct child
 of root element) with a name attribute and possible with arg child nodes.
 Such a document is usually received by calling <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#toXmlDocument()"><CODE>toXmlDocument()</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE>org.dom4j.DocumentException</CODE> - if a dom4j xml exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="fromXmlDocument(org.dom4j.Document)"><!-- --></A><H3>
fromXmlDocument</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html" title="class in ch.javasoft.xml.config">XmlConfig</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.437"><B>fromXmlDocument</B></A>(org.dom4j.Document&nbsp;doc)</PRE>
<DL>
<DD>Parses the given document and returns an XmlConfig instance. Note that
 this document is expected to contain an application element (direct child
 of root element) with a name attribute and possible with arg child nodes.
 Such a document is usually received by calling <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#toXmlDocument()"><CODE>toXmlDocument()</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArgCount()"><!-- --></A><H3>
getArgCount</H3>
<PRE>
protected int <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.449"><B>getArgCount</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArg(int)"><!-- --></A><H3>
getArg</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.452"><B>getArg</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArgs()"><!-- --></A><H3>
getArgs</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[] <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.458"><B>getArgs</B></A>()</PRE>
<DL>
<DD>Returns a copy of the command line argument array
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRootElement()"><!-- --></A><H3>
getRootElement</H3>
<PRE>
protected org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.464"><B>getRootElement</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAppName()"><!-- --></A><H3>
getAppName</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.467"><B>getAppName</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setAppName(java.lang.String)"><!-- --></A><H3>
setAppName</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.470"><B>setAppName</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;appName)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultConfigName(java.lang.String)"><!-- --></A><H3>
setDefaultConfigName</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.474"><B>setDefaultConfigName</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultConfigName()"><!-- --></A><H3>
getDefaultConfigName</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.477"><B>getDefaultConfigName</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultConfigDocument()"><!-- --></A><H3>
getDefaultConfigDocument</H3>
<PRE>
public org.dom4j.Document <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.480"><B>getDefaultConfigDocument</B></A>()
                                            throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultConfigElement()"><!-- --></A><H3>
getDefaultConfigElement</H3>
<PRE>
public org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.483"><B>getDefaultConfigElement</B></A>()
                                          throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getConfigElement(java.lang.String)"><!-- --></A><H3>
getConfigElement</H3>
<PRE>
public org.dom4j.Element <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.486"><B>getConfigElement</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)
                                   throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getConfigDocument(java.lang.String)"><!-- --></A><H3>
getConfigDocument</H3>
<PRE>
public org.dom4j.Document <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.492"><B>getConfigDocument</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)
                                     throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="resolve(java.util.Iterator, java.lang.String)"><!-- --></A><H3>
resolve</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt; <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.519"><B>resolve</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;org.dom4j.Element&gt;&nbsp;elementIterator,
                                          <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)
                                   throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="resolve(org.dom4j.Element, java.lang.String)"><!-- --></A><H3>
resolve</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt; <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.531"><B>resolve</B></A>(org.dom4j.Element&nbsp;element,
                                          <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)
                                   throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="resolveAttributeValue(org.dom4j.Attribute, java.lang.String)"><!-- --></A><H3>
resolveAttributeValue</H3>
<PRE>
protected void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.570"><B>resolveAttributeValue</B></A>(org.dom4j.Attribute&nbsp;att,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)
                              throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getResolvedAttributeValue(org.dom4j.Attribute, java.lang.String, java.lang.String)"><!-- --></A><H3>
getResolvedAttributeValue</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.588"><B>getResolvedAttributeValue</B></A>(org.dom4j.Attribute&nbsp;att,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;resolveKey)
                                    throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getReferredElementContent(java.lang.String, java.lang.String)"><!-- --></A><H3>
getReferredElementContent</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;org.dom4j.Element&gt; <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.598"><B>getReferredElementContent</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                                            <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path)
                                                     throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A>,
                                                            <A HREF="../../../../ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config">MissingReferableException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/MissingReferableException.html" title="class in ch.javasoft.xml.config">MissingReferableException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="initLogManagerConfiguration()"><!-- --></A><H3>
initLogManagerConfiguration</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.627"><B>initLogManagerConfiguration</B></A>()
                                 throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Initializes the log manager configuration with logging configuration from
 the the <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getDefaultConfigDocument()"><CODE>default config</CODE></A>. Calls
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/LogManager.html#readConfiguration(java.io.InputStream)" title="class or interface in java.util.logging"><CODE>LogManager.readConfiguration(InputStream)</CODE></A> with 
 properties read from the <tt>logging</tt> element.
 <p>
 The logging element is expected to look like this:
 <pre>
                <logging>
                        <prop name=".level"     value="INFO"/>  
                        <prop name="handlers"   value="ch.javasoft.util.logging.StandardOutHandler,ch.javasoft.util.logging.StandardErrHandler"/>
                        ...
                </logging>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if an xml configuration error occurs</DL>
</DD>
</DL>
<HR>

<A NAME="initLogManagerConfiguration(java.lang.String)"><!-- --></A><H3>
initLogManagerConfiguration</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.649"><B>initLogManagerConfiguration</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)
                                 throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Initializes the log manager configuration with logging configuration from
 the the specified <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)"><CODE>config</CODE></A>. Calls
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/LogManager.html#readConfiguration(java.io.InputStream)" title="class or interface in java.util.logging"><CODE>LogManager.readConfiguration(InputStream)</CODE></A> with 
 properties read from the <tt>logging</tt> element.
 <p>
 The logging element is expected to look like this:
 <pre>
                <logging>
                        <prop name=".level"     value="INFO"/>  
                        <prop name="handlers"   value="ch.javasoft.util.logging.StandardOutHandler,ch.javasoft.util.logging.StandardErrHandler"/>
                        ...
                </logging>
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>configName</CODE> - the config to use, corresponds to 
                                                                <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)"><CODE>getConfigDocument(String)</CODE></A>
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if an xml configuration error occurs</DL>
</DD>
</DL>
<HR>

<A NAME="getLoggingProperties()"><!-- --></A><H3>
getLoggingProperties</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.667"><B>getLoggingProperties</B></A>()
                                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.
 <p>
 The logging element is expected to look like this:
 <pre>
                <logging>
                        <prop name=".level"     value="INFO"/>  
                        <prop name="handlers"   value="ch.javasoft.util.logging.StandardOutHandler,ch.javasoft.util.logging.StandardErrHandler"/>
                        ...
                </logging>
 </pre>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if an xml configuration error occurs</DL>
</DD>
</DL>
<HR>

<A NAME="getLoggingProperties(java.lang.String)"><!-- --></A><H3>
getLoggingProperties</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Properties.html" title="class or interface in java.util">Properties</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.687"><B>getLoggingProperties</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;configName)
                                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD>Returns the logging properties read from the <tt>logging</tt> element, or
 <code>null</code> if no logging properties found in the xml config.
 <p>
 The logging element is expected to look like this:
 <pre>
                <logging>
                        <prop name=".level"     value="INFO"/>  
                        <prop name="handlers"   value="ch.javasoft.util.logging.StandardOutHandler,ch.javasoft.util.logging.StandardErrHandler"/>
                        ...
                </logging>
 </pre>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>configName</CODE> - the config to use, corresponds to 
                                                                <A HREF="../../../../ch/javasoft/xml/config/XmlConfig.html#getConfigDocument(java.lang.String)"><CODE>getConfigDocument(String)</CODE></A>
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE> - if an xml configuration error occurs</DL>
</DD>
</DL>
<HR>

<A NAME="printUsage(java.io.PrintStream, java.lang.String)"><!-- --></A><H3>
printUsage</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlConfig.html#line.780"><B>printUsage</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintStream.html" title="class or interface in java.io">PrintStream</A>&nbsp;stream,
                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;usageName)
                throws <A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/xml/config/XmlConfigException.html" title="class in ch.javasoft.xml.config">XmlConfigException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlConfig.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlArgException.html" title="class in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlConfig.ResolveKey.html" title="enum in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlConfig.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlConfig.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
